Loading...
Searching...
No Matches
Halide::Internal::WarningReport Struct Referencefinal

`#include <Error.h>`

Inheritance diagram for Halide::Internal::WarningReport:

## Public Member Functions

WarningReport & | init (const char *file, const char *function, const int line, const char *condition_string)
void | issue ()
Public Member Functions inherited from Halide::Internal::ReportBase< WarningReport >
HALIDE_ALWAYS_INLINE WarningReport & | operator<< (const S &x)
HALIDE_ALWAYS_INLINE | operator bool () const

## Additional Inherited Members

Protected Member Functions inherited from Halide::Internal::ReportBase< WarningReport >
std::string | finalize_message ()
WarningReport & | init (const char *file, const char *function, const int line, const char *condition_string, const char *prefix)
Protected Attributes inherited from Halide::Internal::ReportBase< WarningReport >
std::ostringstream | msg
bool | finalized

## Detailed Description

Definition at line 174 of file Error.h.

## Member Function Documentation

## init()

WarningReport & Halide::Internal::WarningReport::init | ( | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | condition_string )

inline

Definition at line 175 of file Error.h.

References Halide::Internal::ReportBase< T >::init().

## issue()

void Halide::Internal::WarningReport::issue | ( |  | ) |

inline

Definition at line 179 of file Error.h.

References Halide::Internal::ReportBase< WarningReport >::finalize_message(), and Halide::Internal::issue_warning().

The documentation for this struct was generated from the following file:

- src/Error.h